# CryptoApis::BroadcastTransactionFailDataItem

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **blockchain** | **String** | Represents the specific blockchain protocol name, e.g. Ethereum, Bitcoin, etc. |  |
| **network** | **String** | Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - \&quot;mainnet\&quot; is the live network with actual data while networks like \&quot;testnet\&quot;, \&quot;ropsten\&quot;, \&quot;rinkeby\&quot; are test networks. |  |
| **transaction_id** | **String** | Defines the unique ID of the specific transaction, i.e. its identification number. |  |
| **error_message** | **String** | Represents the error message received for the transaction. |  |

## Example

```ruby
require 'crypto_apis'

instance = CryptoApis::BroadcastTransactionFailDataItem.new(
  blockchain: Bitcoin/Ethereum (whichever applicable),
  network: Testnet/Mainnet (whichever applicable),
  transaction_id: d83c75dd0f73425a1a85023ba25bc7ff47333c823a0ea19fac28d4abe59fd612,
  error_message: Transaction already in block chain
)
```

